Update API key labels
curl --request POST \
--url https://api-v2.requesty.ai/v1/manage/apikey/{id}/label \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"labels": {}
}'import requests
url = "https://api-v2.requesty.ai/v1/manage/apikey/{id}/label"
payload = { "labels": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({labels: {}})
};
fetch('https://api-v2.requesty.ai/v1/manage/apikey/{id}/label', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Update API Key Labels
Update labels for an API key. Setting an empty object will remove all labels.
POST
/
v1
/
manage
/
apikey
/
{id}
/
label
Update API key labels
labels for an API key. Labels are key-value pairs that can be used for organization and filtering. Setting an empty object will remove all labels.
Labels are useful for organizing and filtering API keys. Common use cases include tagging by environment (production, staging), team, or project.
Last modified on April 27, 2026
Was this page helpful?
⌘I